% shops5.m: Compute Strehl for open and closed loop runs.
% tiv=trfopen('TutIRunsetV1.trf');siv=trfload(tiv);trfvlist(siv)
simg = trfwild(sia,[],'camera.fpaImage');
stbd = trfwild(sia,[],'targetboard.integrated_intensity');
simgv = trfwild(siv,[],'camera.fpaImage');
stbdv = trfwild(siv,[],'targetboard.integrated_intensity');
piv = tmxparams(siv.r(1)); % This gets most of the input parameters.
pia = tmxparams(sia.r(1)); % The parameters for both runs better be mostly the same.
dlimg = reshape(simgv.r(1).v(1).d,piv.img_nxy,piv.img_nxy);
dltbd = reshape(stbdv.r(1).v(1).d,piv.tbd_nxy,piv.tbd_nxy);
olimg = trfavg(simg,1,1,11:100,1); % Compute the time-averaged open-loop point source image.
olimg = reshape(olimg.r(1).v(1).d,pia.img_nxy,pia.img_nxy);
oltbd = trfavg(stbd,1,1,11:100,1); % Compute the time-averaged open-loop targetboard.
oltbd = reshape(oltbd.r(1).v(1).d,pia.tbd_nxy,pia.tbd_nxy);
climg = trfavg(simg,2,1,11:100,1); % Compute the time-averaged open-loop point source image.
climg = reshape(climg.r(1).v(1).d,pia.img_nxy,pia.img_nxy);
cltbd = trfavg(stbd,2,1,11:100,1); % Compute the time-averaged open-loop targetboard.
cltbd = reshape(cltbd.r(1).v(1).d,pia.tbd_nxy,pia.tbd_nxy);
set(figure,'position',[10,400,600,200],'name','Point Source');
imagesc([dlimg,climg,olimg]);axis image;colorbar;
climgstrehl = climg(pia.img_nxy/2+1,pia.img_nxy/2+1) / dlimg(piv.img_nxy/2+1,piv.img_nxy/2+1);
olimgstrehl = olimg(pia.img_nxy/2+1,pia.img_nxy/2+1) / dlimg(piv.img_nxy/2+1,piv.img_nxy/2+1);
ttl=sprintf('Closed-Loop Strehl = %4.2f, Open-Loop Strehl = %4.2f', climgstrehl, olimgstrehl);
title(ttl);
set(figure,'position',[10,300,600,200],'name','Scoring');
imagesc([dltbd,cltbd,oltbd]);axis image;colorbar;
cltbdstrehl = cltbd(pia.tbd_nxy/2+1,pia.tbd_nxy/2+1) / dltbd(piv.tbd_nxy/2+1,piv.tbd_nxy/2+1);
oltbdstrehl = oltbd(pia.tbd_nxy/2+1,pia.tbd_nxy/2+1) / dltbd(piv.tbd_nxy/2+1,piv.tbd_nxy/2+1);
ttl=sprintf('Closed-Loop Strehl = %4.2f, Open-Loop Strehl = %4.2f', cltbdstrehl, oltbdstrehl);
title(ttl);